%define api 0.4
%define major 4
%define libname %mklibname wps %{api} %{major}
%define devname %mklibname wps -d

Summary:	Library for reading and converting Microsoft Works word processor documents
Name:		libwps
Version:	0.4.3
Release:	1
Epoch:		1
License:	LGPLv2+
Group:		Office
Url:		http://libwps.sourceforge.net/
Source0:	http://downloads.sourceforge.net/libwps/libwps/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(librevenge-0.0)

%description
Library that handles Microsoft Works documents.

#----------------------------------------------------------------------------

%package tools
Summary:	Tools to transform Works documents into other formats
Group:		Publishing

%description tools
Tools to transform Works documents into other formats.
Currently supported: html, raw, text

%files tools
%{_bindir}/wks2raw
%{_bindir}/wks2csv
%{_bindir}/wks2text
%{_bindir}/wps2html
%{_bindir}/wps2raw
%{_bindir}/wps2text

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for reading and converting Microsoft Works word processor documents
Group:		System/Libraries

%description -n %{libname}
Library that handles Microsoft Works documents.

%files -n %{libname}
%{_libdir}/libwps-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files for developing with libwps
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Includes and definitions for developing with libwps.

%files -n %{devname}
%{_libdir}/libwps*-%{api}.so
%{_libdir}/pkgconfig/libwps*.pc
%{_includedir}/*

#----------------------------------------------------------------------------

%package docs
Summary:	Documentation of libwps API
Group:		Documentation

%description docs
Documentation of libwps API for developing with libwps

%files docs
%{_docdir}/libwps*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-silent-rules \
	--disable-static \
	--disable-werror

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

%changelog

* Sat Apr 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:0.4.3-1
- (60d32c0) New version 0.4.3, new API 0.4, new library major 4


